### GET /leads
Source: https://developers.pipedrive.com/docs/api/v1/openapi.yaml
Returns multiple not archived leads. Leads are sorted by the time they were created, from oldest to newest. Pagination can be controlled using `limit` and `start` query parameters. If a lead contains custom fields, the fields' values will be included in the response in the same format as with the `Deals` endpoints. If a custom field's value hasn't been set for the lead, it won't appear in the response. Please note that leads do not have a separate set of custom fields, instead they inherit the custom fields' structure from deals.
```markdown
### Parameters
- **limit** (integer, query, optional): For pagination, the limit of entries to be returned. If not provided, 100 items will be returned. (example: 100)
- **start** (integer, query, optional): For pagination, the position that represents the first result for the page (example: 0)
- **owner_id** (integer, query, optional): If supplied, only leads matching the given user will be returned. However, `filter_id` takes precedence over `owner_id` when supplied. (example: 1)
- **person_id** (integer, query, optional): If supplied, only leads matching the given person will be returned. However, `filter_id` takes precedence over `person_id` when supplied. (example: 1)
- **organization_id** (integer, query, optional): If supplied, only leads matching the given organization will be returned. However, `filter_id` takes precedence over `organization_id` when supplied. (example: 1)
- **filter_id** (integer, query, optional): The ID of the filter to use (example: 1)
- **updated_since** (string, query, optional): If set, only leads with an `update_time` later than or equal to this time are returned. In ISO 8601 format, e.g. 2025-01-01T10:20:00Z. (example: "2025-01-01T10:20:00Z")
- **sort** (string (id|title|owner_id|creator_id|was_seen|expected_close_date|next_activity_id|add_time|update_time), query, optional): The field names and sorting mode separated by a comma (`field_name_1 ASC`, `field_name_2 DESC`). Only first-level field keys are supported (no nested keys).
### Responses
#### 200 - Successful response containing payload in the `data` field
- **success** (boolean)
- **data** (array (object))
Array items:
- **id** (string (uuid)): The unique ID of the lead in the UUID format
- **title** (string): The title of the lead
- **owner_id** (integer): The ID of the user who owns the lead
- **creator_id** (integer): The ID of the user who created the lead
- **label_ids** (array (string (uuid))): The IDs of the lead labels which are associated with the lead
- **person_id** (integer): The ID of a person which this lead is linked to
- **organization_id** (integer): The ID of an organization which this lead is linked to
- **source_name** (string): Defines where the lead comes from. Will be `API` if the lead was created through the Public API and will be `Manually created` if the lead was created manually through the UI.
- **origin** (string): The way this Lead was created. `origin` field is set by Pipedrive when Lead is created and cannot be changed.
- **origin_id** (string): The optional ID to further distinguish the origin of the lead - e.g. Which API integration created this Lead.
- **channel** (integer): The ID of your Marketing channel this Lead was created from. Recognized Marketing channels can be configured in your Company settings.
- **channel_id** (string): The optional ID to further distinguish the Marketing channel.
- **source_deal_id** (integer): The ID of the deal if the lead was converted from a deal.
- **is_archived** (boolean): A flag indicating whether the lead is archived or not
- **was_seen** (boolean): A flag indicating whether the lead was seen by someone in the Pipedrive UI
- **value** (object): The potential value of the lead represented by a JSON object: `{ "amount": 200, "currency": "EUR" }`. Both amount and currency are required.
- **amount** (number) (required)
- **currency** (string) (required)
- **expected_close_date** (string (date)): The date of when the deal which will be created from the lead is expected to be closed. In ISO 8601 format: YYYY-MM-DD.
- **next_activity_id** (integer): The ID of the next activity associated with the lead
- **add_time** (string (date-time)): The date and time of when the lead was created. In ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.
- **update_time** (string (date-time)): The date and time of when the lead was last updated. In ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.
- **visible_to** (string (1|3|5|7)) ("1"|"3"|"5"|"7")
- **cc_email** (string): The BCC email of the lead
- **additional_data** (object): The additional data of the list
- **start** (integer): Pagination start
- **limit** (integer): Items shown per page
- **more_items_in_collection** (boolean): If there are more list items in the collection than displayed or not
### Example Usage
```bash
curl -X GET "https://api.pipedrive.com/v1/leads?limit=100&start=0&owner_id=1&person_id=1&organization_id=1&filter_id=1&updated_since=2025-01-01T10:20:00Z&sort=id"
```
```
--------------------------------
### POST /webhooks
Source: https://developers.pipedrive.com/docs/api/v1/openapi.yaml
Creates a new Webhook and returns its details. Note that specifying an event which triggers the Webhook combines 2 parameters - `event_action` and `event_object`. E.g., use `*.*` for getting notifications about all events, `create.deal` for any newly added deals, `delete.persons` for any deleted persons, etc. See the guide for Webhooks for more details.
```markdown
### Request Body
**Content-Type:** application/json
- **subscription_url** (string) (required): A full, valid, publicly accessible URL which determines where to send the notifications. Please note that you cannot use Pipedrive API endpoints as the `subscription_url` and the chosen URL must not redirect to another link.
- **event_action** (string (create|change|delete|*)) (required): The type of action to receive notifications about. Wildcard will match all supported actions. ("create"|"change"|"delete"|"*")
- **event_object** (string (activity|deal|lead|note|organization|person|pipeline|product|stage|user|*)) (required): The type of object to receive notifications about. Wildcard will match all supported objects. ("activity"|"deal"|"lead"|"note"|"organization"|"person"|"pipeline"|"product"|"stage"|"user"|"*")
- **name** (string) (required): The webhook's name
- **user_id** (integer): The ID of the user that this webhook will be authorized with. You have the option to use a different user's `user_id`. If it is not set, the current user's `user_id` will be used. As each webhook event is checked against a user's permissions, the webhook will only be sent if the user has access to the specified object(s). If you want to receive notifications for all events, please use a top-level admin user’s `user_id`.
- **http_auth_user** (string): The HTTP basic auth username of the subscription URL endpoint (if required)
- **http_auth_password** (string): The HTTP basic auth password of the subscription URL endpoint (if required)
- **version** (string (1.0|2.0)): The webhook's version. NB! Webhooks v2 is the default from March 17th, 2025. See this Changelog post for more details. ("1.0"|"2.0")
### Responses
#### 201 - The created webhook object
- **success** (boolean): If the response is successful or not
- **status** (string): The status of the response
- **data** (object)
- **id** (integer): The ID of the Webhook
- **company_id** (integer): The ID of the company related to the Webhook
- **owner_id** (integer): The ID of the user who owns the Webhook
- **user_id** (integer): The ID of the user related to the Webhook
- **event_action** (string): The Webhook action
- **event_object** (string): The Webhook object
- **subscription_url** (string): The subscription URL of the Webhook
- **version** (string): The Webhook version
- **is_active** (number) ("0"|"1")
- **add_time** (string (date-time)): The date when the Webhook was added
- **remove_time** (string (date-time)): The date when the Webhook was removed (if removed)
- **type** (string (general|application|automation)): The type of the Webhook ("general"|"application"|"automation")
- **http_auth_user** (string): The username of the `subscription_url` of the Webhook
- **http_auth_password** (string): The password of the `subscription_url` of the Webhook
- **remove_reason** (string): The removal reason of the Webhook (if removed)
- **last_delivery_time** (string (date-time)): The last delivery time of the Webhook
- **last_http_status** (integer): The last delivery HTTP status of the Webhook
- **admin_id** (integer): The ID of the admin of the Webhook
- **name** (string): The Webhook name
#### 400 - The bad response on webhook creation
- **success** (boolean): If the response is successful or not
- **status** (string): The status of the response
- **errors** (object): List of errors
#### 401 - Unauthorized response
- **success** (boolean): If the response is successful or not
- **error** (string): The error message
- **errorCode** (integer): The response error code
### Example Usage
```bash
curl -X POST "https://api.pipedrive.com/v1/webhooks" \
-H "Content-Type: application/json" \
-d '{
"subscription_url": "string",
"event_action": "create",
"event_object": "activity",
"name": "string",
"user_id": "0",
"http_auth_user": "string",
"http_auth_password": "string",
"version": "2.0"
}'
```
```
--------------------------------
### GET /userSettings
Source: https://developers.pipedrive.com/docs/api/v1/openapi.yaml
Lists the settings of an authorized user. Example response contains a shortened list of settings.
```markdown
### Responses
#### 200 - The list of user settings
- **success** (boolean): If the response is successful or not
- **data** (object)
- **marketplace_team** (boolean): If the vendors are allowed to be part of the Marketplace team or not
- **list_limit** (number): The number of results shown in list by default
- **beta_app** (boolean): Whether beta app is enabled
- **prevent_salesphone_callto_override** (boolean): Prevent salesphone call to override
- **file_upload_destination** (string): The destination of file upload
- **callto_link_syntax** (string): The call to link syntax
- **autofill_deal_expected_close_date** (boolean): Whether the expected close date of the deal is filled automatically or not
- **person_duplicate_condition** (string): Allow the vendors to duplicate a person
#### 401 - Unauthorized response
- **success** (boolean): If the response is successful or not
- **error** (string): The error message
- **errorCode** (integer): The response error code
### Example Usage
```bash
curl -X GET "https://api.pipedrive.com/v1/userSettings"
```
```
--------------------------------
### GET /leads/archived
Source: https://developers.pipedrive.com/docs/api/v1/openapi.yaml
Returns multiple archived leads. Leads are sorted by the time they were created, from oldest to newest. Pagination can be controlled using `limit` and `start` query parameters. If a lead contains custom fields, the fields' values will be included in the response in the same format as with the `Deals` endpoints. If a custom field's value hasn't been set for the lead, it won't appear in the response. Please note that leads do not have a separate set of custom fields, instead they inherit the custom fields' structure from deals.
```markdown
### Parameters
- **limit** (integer, query, optional): For pagination, the limit of entries to be returned. If not provided, 100 items will be returned. (example: 100)
- **start** (integer, query, optional): For pagination, the position that represents the first result for the page (example: 0)
- **owner_id** (integer, query, optional): If supplied, only leads matching the given user will be returned. However, `filter_id` takes precedence over `owner_id` when supplied. (example: 1)
- **person_id** (integer, query, optional): If supplied, only leads matching the given person will be returned. However, `filter_id` takes precedence over `person_id` when supplied. (example: 1)
- **organization_id** (integer, query, optional): If supplied, only leads matching the given organization will be returned. However, `filter_id` takes precedence over `organization_id` when supplied. (example: 1)
- **filter_id** (integer, query, optional): The ID of the filter to use (example: 1)
- **sort** (string (id|title|owner_id|creator_id|was_seen|expected_close_date|next_activity_id|add_time|update_time), query, optional): The field names and sorting mode separated by a comma (`field_name_1 ASC`, `field_name_2 DESC`). Only first-level field keys are supported (no nested keys).
### Responses
#### 200 - Successful response containing payload in the `data` field
- **success** (boolean)
- **data** (array (object))
Array items:
- **id** (string (uuid)): The unique ID of the lead in the UUID format
- **title** (string): The title of the lead
- **owner_id** (integer): The ID of the user who owns the lead
- **creator_id** (integer): The ID of the user who created the lead
- **label_ids** (array (string (uuid))): The IDs of the lead labels which are associated with the lead
- **person_id** (integer): The ID of a person which this lead is linked to
- **organization_id** (integer): The ID of an organization which this lead is linked to
- **source_name** (string): Defines where the lead comes from. Will be `API` if the lead was created through the Public API and will be `Manually created` if the lead was created manually through the UI.
- **origin** (string): The way this Lead was created. `origin` field is set by Pipedrive when Lead is created and cannot be changed.
- **origin_id** (string): The optional ID to further distinguish the origin of the lead - e.g. Which API integration created this Lead.
- **channel** (integer): The ID of your Marketing channel this Lead was created from. Recognized Marketing channels can be configured in your Company settings.
- **channel_id** (string): The optional ID to further distinguish the Marketing channel.
- **source_deal_id** (integer): The ID of the deal if the lead was converted from a deal.
- **is_archived** (boolean): A flag indicating whether the lead is archived or not
- **was_seen** (boolean): A flag indicating whether the lead was seen by someone in the Pipedrive UI
- **value** (object): The potential value of the lead represented by a JSON object: `{ "amount": 200, "currency": "EUR" }`. Both amount and currency are required.
- **amount** (number) (required)
- **currency** (string) (required)
- **expected_close_date** (string (date)): The date of when the deal which will be created from the lead is expected to be closed. In ISO 8601 format: YYYY-MM-DD.
- **next_activity_id** (integer): The ID of the next activity associated with the lead
- **add_time** (string (date-time)): The date and time of when the lead was created. In ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.
- **update_time** (string (date-time)): The date and time of when the lead was last updated. In ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.
- **visible_to** (string (1|3|5|7)) ("1"|"3"|"5"|"7")
- **cc_email** (string): The BCC email of the lead
- **additional_data** (object): The additional data of the list
- **start** (integer): Pagination start
- **limit** (integer): Items shown per page
- **more_items_in_collection** (boolean): If there are more list items in the collection than displayed or not
### Example Usage
```bash
curl -X GET "https://api.pipedrive.com/v1/leads/archived?limit=100&start=0&owner_id=1&person_id=1&organization_id=1&filter_id=1&sort=id"
```
```
--------------------------------
### GET /notes
Source: https://developers.pipedrive.com/docs/api/v1/openapi.yaml
Returns all notes.
```markdown
### Parameters
- **user_id** (integer, query, optional): The ID of the user whose notes to fetch. If omitted, notes by all users will be returned.
- **lead_id** (string (uuid), query, optional): The ID of the lead which notes to fetch. If omitted, notes about all leads will be returned.
- **deal_id** (integer, query, optional): The ID of the deal which notes to fetch. If omitted, notes about all deals will be returned.
- **person_id** (integer, query, optional): The ID of the person whose notes to fetch. If omitted, notes about all persons will be returned.
- **org_id** (integer, query, optional): The ID of the organization which notes to fetch. If omitted, notes about all organizations will be returned.
- **project_id** (integer, query, optional): The ID of the project which notes to fetch. If omitted, notes about all projects will be returned.
- **task_id** (integer, query, optional): The ID of the task which notes to fetch. If omitted, notes about all tasks will be returned.
- **start** (integer, query, optional): Pagination start
- **limit** (integer, query, optional): Items shown per page
- **sort** (string, query, optional): The field names and sorting mode separated by a comma (`field_name_1 ASC`, `field_name_2 DESC`). Only first-level field keys are supported (no nested keys). Supported fields: `id`, `user_id`, `deal_id`, `person_id`, `org_id`, `content`, `add_time`, `update_time`.
- **start_date** (string (date), query, optional): The date in format of YYYY-MM-DD from which notes to fetch
- **end_date** (string (date), query, optional): The date in format of YYYY-MM-DD until which notes to fetch to
- **updated_since** (string (date-time), query, optional): If set, only notes with an `update_time` later than or equal to this time are returned. In RFC3339 format, e.g. 2025-01-01T10:20:00Z. (example: "2025-01-01T10:20:00Z")
- **pinned_to_lead_flag** (number, query, optional): If set, the results are filtered by note to lead pinning state
- **pinned_to_deal_flag** (number, query, optional): If set, the results are filtered by note to deal pinning state
- **pinned_to_organization_flag** (number, query, optional): If set, the results are filtered by note to organization pinning state
- **pinned_to_person_flag** (number, query, optional): If set, the results are filtered by note to person pinning state
- **pinned_to_project_flag** (number, query, optional): If set, the results are filtered by note to project pinning state
- **pinned_to_task_flag** (number, query, optional): If set, the results are filtered by note to task pinning state
### Responses
#### 200 - Get all notes
- **success** (boolean): If the request was successful or not
- **data** (array (object)): The array of notes
Array items:
- **id** (integer): The ID of the note
- **active_flag** (boolean): Whether the note is active or deleted
- **add_time** (string): The creation date and time of the note
- **content** (string): The content of the note in HTML format. Subject to sanitization on the back-end.
- **deal** (object): The deal this note is attached to
- **title** (string): The title of the deal this note is attached to
- **lead_id** (string (uuid)): The ID of the lead the note is attached to
- **deal_id** (integer): The ID of the deal the note is attached to
- **last_update_user_id** (integer): The ID of the user who last updated the note
- **org_id** (integer): The ID of the organization the note is attached to
- **organization** (object): The organization the note is attached to
- **name** (string): The name of the organization the note is attached to
- **person** (object): The person the note is attached to
- **person_id** (integer): The ID of the person the note is attached to
- **project_id** (integer): The ID of the project the note is attached to
- **project** (object): The project the note is attached to
- **task_id** (integer): The ID of the task the note is attached to
- **task** (object): The task the note is attached to
- **pinned_to_deal_flag** (boolean): If true, the results are filtered by note to deal pinning state
- **pinned_to_organization_flag** (boolean): If true, the results are filtered by note to organization pinning state
- **pinned_to_person_flag** (boolean): If true, the results are filtered by note to person pinning state
- **pinned_to_project_flag** (boolean): If true, the results are filtered by note to project pinning state
- **pinned_to_task_flag** (boolean): If true, the results are filtered by note to task pinning state
- **update_time** (string): The last updated date and time of the note
- **user** (object): The user who created the note
- **email** (string): The email of the note creator
- **icon_url** (string): The URL of the note creator avatar picture
- **is_you** (boolean): Whether the note is created by you or not
- **name** (string): The name of the note creator
- **user_id** (integer): The ID of the note creator
- **additional_data** (object)
- **pagination** (object): The pagination details of the list
- **next_start** (integer): Next pagination start
- **start** (integer): Pagination start
- **limit** (integer): Items shown per page
- **more_items_in_collection** (boolean): If there are more list items in the collection than displayed or not
### Example Usage
```bash
curl -X GET "https://api.pipedrive.com/v1/notes?user_id=0&lead_id=string&deal_id=0&person_id=0&org_id=0&project_id=0&task_id=0&start=0&limit=0&sort=string&start_date=2023-01-01&end_date=2023-01-01&updated_since=2025-01-01T10:20:00Z&pinned_to_lead_flag=0&pinned_to_deal_flag=0&pinned_to_organization_flag=0&pinned_to_person_flag=0&pinned_to_project_flag=0&pinned_to_task_flag=0"
```
```
--------------------------------
### GET /productFields
Source: https://developers.pipedrive.com/docs/api/v1/openapi.yaml
Returns data about all product fields.
```markdown
### Parameters
- **start** (integer, query, optional): Pagination start
- **limit** (integer, query, optional): Items shown per page
### Responses
#### 200 - Get data about all product fields
- **success** (boolean): If the response is successful or not
- **data** (array (object)): Array containing data for all product fields
Array items:
- **name** (string) (required): The name of the field
- **options** (array (object)): When `field_type` is either `set` or `enum`, possible options must be supplied as a JSON-encoded sequential array, for example:`[{"label":"red"}, {"label":"blue"}, {"label":"lilac"}]`
- **field_type** (string (boolean|double|int|json|date|daterange|time|timerange|text|varchar|varchar_auto|varchar_options|address|enum|monetary|phone|set|activity|deal|lead|org|people|pipeline|product|project|stage|user|billing_frequency|picture|price_list|projects_board|projects_phase|status|visible_to)) (required): List of all possible field types ("boolean"|"double"|"int"|"json"|"date"|"daterange"|"time"|"timerange"|"text"|"varchar"|"varchar_auto"|"varchar_options"|"address"|"enum"|"monetary"|"phone"|"set"|"activity"|"deal"|"lead"|"org"|"people"|"pipeline"|"product"|"project"|"stage"|"user"|"billing_frequency"|"picture"|"price_list"|"projects_board"|"projects_phase"|"status"|"visible_to")
- **id** (integer): The ID of the product field
- **key** (string): The key of the product field
- **order_nr** (integer): The position (index) of the product field in the detail view
- **add_time** (string): The product field creation time. Format: YYYY-MM-DD HH:MM:SS
- **update_time** (string): The product field last update time. Format: YYYY-MM-DD HH:MM:SS
- **last_updated_by_user_id** (integer): The ID of the last user to update the product field
- **created_by_user_id** (integer): The ID of the user who created the product field
- **active_flag** (boolean): Whether or not the product field is currently active
- **edit_flag** (boolean): Whether or not the product field name and metadata is editable
- **add_visible_flag** (boolean): Whether or not the product field is visible in the Add Product Modal
- **important_flag** (boolean): Whether or not the product field is marked as important
- **bulk_edit_allowed** (boolean): Whether or not the product field data can be edited
- **searchable_flag** (boolean): Whether or not the product field is searchable
- **filtering_allowed** (boolean): Whether or not the product field value can be used when filtering searches
- **sortable_flag** (boolean): Whether or not the product field is sortable
- **mandatory_flag** (boolean): Whether or not the product field is mandatory when creating products
- **additional_data** (object): Additional data for the product field, such as pagination
### Example Usage
```bash
curl -X GET "https://api.pipedrive.com/v1/productFields?start=0&limit=0"
```
```
--------------------------------
### GET /files
Source: https://developers.pipedrive.com/docs/api/v1/openapi.yaml
Returns data about all files.
```markdown
### Parameters
- **start** (integer, query, optional): Pagination start
- **limit** (integer, query, optional): Items shown per page. Please note that a maximum value of 100 is allowed.
- **sort** (string, query, optional): Supported fields: `id`, `update_time`
### Responses
#### 200 - Get data about all files uploaded to Pipedrive
- **success** (boolean): If the request was successful or not
- **data** (array (object)): The array of all uploaded files
Array items:
- **id** (integer): The ID of the file
- **user_id** (integer): The ID of the user to associate the file with
- **deal_id** (integer): The ID of the deal to associate the file with
- **person_id** (integer): The ID of the person to associate the file with
- **org_id** (integer): The ID of the organization to associate the file with
- **product_id** (integer): The ID of the product to associate the file with
- **activity_id** (integer): The ID of the activity to associate the file with
- **lead_id** (string (uuid)): The ID of the lead to associate the file with
- **project_id** (integer): The ID of the project to associate the file with
- **add_time** (string): The date and time when the file was added/created. Format: YYYY-MM-DD HH:MM:SS
- **update_time** (string): The last updated date and time of the file. Format: YYYY-MM-DD HH:MM:SS
- **file_name** (string): The original name of the file
- **file_size** (integer): The size of the file
- **active_flag** (boolean): Whether the user is active or not. false = Not activated, true = Activated
- **inline_flag** (boolean): Whether the file was uploaded as inline or not
- **remote_location** (string): The location type to send the file to. Only googledrive is supported at the moment.
- **remote_id** (string): The ID of the remote item
- **cid** (string): The ID of the inline attachment
- **s3_bucket** (string): The location of the cloud storage
- **mail_message_id** (string): The ID of the mail message to associate the file with
- **mail_template_id** (string): The ID of the mail template to associate the file with
- **deal_name** (string): The name of the deal associated with the file
- **person_name** (string): The name of the person associated with the file
- **org_name** (string): The name of the organization associated with the file
- **product_name** (string): The name of the product associated with the file
- **lead_name** (string): The name of the lead associated with the file
- **project_name** (string): The name of the project associated with the file
- **url** (string): The URL of the download file
- **name** (string): The visible name of the file
- **description** (string): The description of the file
- **additional_data** (object)
- **pagination** (object): The additional data of the list
- **start** (integer): Pagination start
- **limit** (integer): Items shown per page
- **more_items_in_collection** (boolean): If there are more list items in the collection than displayed or not
- **next_start** (integer): Next pagination start
### Example Usage
```bash
curl -X GET "https://api.pipedrive.com/v1/files?start=0&limit=0&sort=string"
```
```
--------------------------------
### GET /oauth/authorize
Source: https://developers.pipedrive.com/docs/api/v1/openapi.yaml
Authorize a user by redirecting them to the Pipedrive OAuth authorization page and request their permissions to act on their behalf. This step is necessary to implement only when you allow app installation outside of the Marketplace.
```markdown
### Parameters
- **client_id** (string, query, required): The client ID provided to you by the Pipedrive Marketplace when you register your app
- **redirect_uri** (string, query, required): The callback URL you provided when you registered your app. Authorization code will be sent to that URL (if it matches with the value you entered in the registration form) if a user approves the app install. Or, if a customer declines, the corresponding error will also be sent to this URL.
- **state** (string, query, optional): You may pass any random string as the state parameter and the same string will be returned to your app after a user authorizes access. It may be used to store the user's session ID from your app or distinguish different responses. Using state may increase security; see RFC-6749.
### Responses
#### 200 - Authorize user in the app.
### Example Usage
```bash
curl -X GET "https://api.pipedrive.com/v1/oauth/authorize?client_id=string&redirect_uri=string&state=string"
```
```
--------------------------------
### GET /deals/summary
Source: https://developers.pipedrive.com/docs/api/v1/openapi.yaml
Returns a summary of all not archived deals.
```markdown
### Parameters
- **status** (string (open|won|lost), query, optional): Only fetch deals with a specific status. open = Open, won = Won, lost = Lost.
- **filter_id** (integer, query, optional): user_id will not be considered. Only deals matching the given filter will be returned.
- **user_id** (integer, query, optional): Only deals matching the given user will be returned. `user_id` will not be considered if you use `filter_id`.
- **pipeline_id** (integer, query, optional): Only deals within the given pipeline will be returned
- **stage_id** (integer, query, optional): Only deals within the given stage will be returned
### Responses
#### 200 - Get the summary of not archived deals
- **success** (boolean): If the response is successful or not
- **data** (object): The summary of deals
- **values_total** (object): The total values of the deals grouped by deal currency
- **value** (number): The total value of deals in the deal currency group
- **count** (integer): The number of deals in the deal currency group
- **value_converted** (number): The total value of deals converted into the company default currency
- **value_formatted** (string): The total value of deals formatted with deal currency. E.g. €50
- **value_converted_formatted** (string): The value_converted formatted with deal currency. E.g. US$50.10
- **weighted_values_total** (object): The total weighted values of the deals grouped by deal currency. The weighted value is calculated as probability times deal value.
- **value** (number): The total weighted value of the deals in the deal currency group
- **count** (integer): The number of deals in the deal currency group
- **value_formatted** (string): The total weighted value of the deals formatted with deal currency. E.g. €50
- **total_count** (integer): The total number of deals
- **total_currency_converted_value** (number): The total value of deals converted into the company default currency
- **total_weighted_currency_converted_value** (number): The total weighted value of deals converted into the company default currency
- **total_currency_converted_value_formatted** (string): The total converted value of deals formatted with the company default currency. E.g. US$5,100.96
- **total_weighted_currency_converted_value_formatted** (string): The total weighted value of deals formatted with the company default currency. E.g. US$5,100.96
### Example Usage
```bash
curl -X GET "https://api.pipedrive.com/v1/deals/summary?status=open&filter_id=0&user_id=0&pipeline_id=0&stage_id=0"
```
```